<mat-card class="example-card p-0 -m-6">
    <mat-card-header class="bg-teal-400">
        <!-- <div mat-card-avatar class="example-header-image bg-red-700">T.</div> -->
        <mat-card-title class="pl-4 font-bold text-xl">คำถาม 2Q</mat-card-title>
        <!-- <mat-card-subtitle>นายธวัชชัย  แสงเดือน</mat-card-subtitle> -->
    </mat-card-header>
    <!-- <img mat-card-image src="https://material.angular.io/assets/img/examples/shiba2.jpg" alt="Photo of a Shiba Inu"> -->
    <mat-card-content>
        <!-- 2Q -->
        <mat-dialog-content class="text">
            <div class="flex flex-col mt-8" *ngFor="let q of question;let i = index">
                <span class="font-semibold mb-2">{{q.question_text}}</span>
                <mat-radio-group name={{q.question_id}} [(ngModel)]="q.score" class="flex flex-row" [color]="'primary'"
                    [value]="''">
                    <mat-radio-button *ngFor="let a of q.answer" id="a.answer_id" class="mb-2" value={{a.answer_score}}>
                        {{a.answer_text}}
                    </mat-radio-button>
                </mat-radio-group>
            </div>
        </mat-dialog-content>
    </mat-card-content>
    <mat-card-actions class="bg-slate-300">
        <!-- <button mat-button>LIKE</button> -->
        <!-- <button mat-button>SHARE</button> -->
        <mat-dialog-actions>
            <button mat-raised-button [mat-dialog-close]="answer" color="primary"
                (click)="saveAndClose()">บันทึก</button>
        </mat-dialog-actions>
    </mat-card-actions>
</mat-card>